Page MenuHomePhabricator

Merge the "HarbormasterBuildCommand" table into "HarbormasterBuildMessage"
ClosedPublic

Authored by epriestley on Jul 13 2021, 10:48 PM.
Tags
None
Referenced Files
F11519878: D21684.diff
Thu, Feb 2, 10:58 AM
Unknown Object (File)
Sat, Jan 28, 4:50 PM
Unknown Object (File)
Tue, Jan 24, 2:57 PM
Unknown Object (File)
Sun, Jan 22, 7:21 PM
Unknown Object (File)
Thu, Jan 19, 12:43 PM
Unknown Object (File)
Wed, Jan 18, 3:42 PM
Unknown Object (File)
Sun, Jan 8, 7:02 PM
Unknown Object (File)
Dec 25 2022, 3:39 PM
Subscribers
Restricted Owners Package

Details

Summary

Ref T13072. These two similar tables don't make sense to keep separate. Instead, make Build a valid receiver for BuildMessage objects.

These tables are practically the same, so this is straightforward: just copy the rows in and then drop the old table.

(This table was trivial and ephemeral anyway, so I'm not bothering to do the usual "keep it around for a couple years just in case".)

Test Plan
  • Populated BuildCommand table, ran migration, saw Builds end up in the proper transitional state (e.g., pausing, aborting, restarting) with appropriate queued messages.
  • Queued new messages by clicking UI buttons.
  • Ran BuildWorkers, saw them process messages and mark them as consumed.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Jul 13 2021, 10:48 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 21 2021, 9:17 PM
This revision was automatically updated to reflect the committed changes.